unit UPT_ES;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TTradPlug = class(TForm)
  private
    { Private declarations }
  published
    //: Procedimiento que devuelve el autor
    function Autor():string;
    //: funcin que deuelve la versin
    function Version():String;
    //: funcin de traduccion
    procedure Traduce();
    //: funcin que deviuelve el idioma.
    function Idioma():string;
  end;

var
  TradPlug: TTradPlug;

implementation

{$R *.dfm}

//: Procedimiento que devuelve el autor.
function TTradPlug.Autor(): string;
begin
  Result := 'Neftal -Germn Estvez-';
end;

//: funcin que deuelve la versin
procedure TTradPlug.Traduce();
begin
  MessageDlg('Hello World!!', mtInformation, [mbOK], 0);
end;

//: Texto hola mundo traducido...
function TTradPlug.Version(): String;
begin
  Result := 'v1.0';
end;

//: funcin que deviuelve el idioma.
function TTradPlug.Idioma: string;
begin
  result := '&English';;
end;



//=========================================================================
//
// I N I T I A L I Z A T I O N
//
//=========================================================================
initialization
  // Registrar la clase del form
  RegisterClass(TTradPlug);

//=========================================================================
//
// F I N A L I Z A T I O N
//
//=========================================================================
finalization
  // Eliminar el registro de la clase
  UnregisterClass(TTradPlug);

end.
